// ignore_for_file: always_use_package_imports

import 'package:flutter/material.dart';
import 'package:wyatt_bloc_helper/wyatt_bloc_helper.dart';

import '../blocs/feature_name_cubit/feature_name_cubit.dart';
import 'feature_name_consumer_widget.dart';

/// {@template feature_name_provider}
/// FeatureNameProvider provides bloc to his children.
/// {@endtemplate}
class FeatureNameProvider
    extends CubitProviderScreen<FeatureNameCubit, FeatureNameState> {
  /// {@macro feature_name_provider}
  const FeatureNameProvider({super.key});

  @override
  FeatureNameCubit create(BuildContext context) => FeatureNameCubit();

  @override
  Widget builder(BuildContext context) => const FeatureNameConsumerWidget();
}
